Bug 171549 - Button release only works after cursor moves. Happens only on kernels 1526 and 1532. 1426 was ok.
Button release only works after cursor moves. Happens only on kernels 1526 an...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-22 20:14 EDT by Eduardo N. H.
Modified: 2015-01-04 17:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:38:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo N. H. 2005-10-22 20:14:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
This problem was not happening on kernel 2.6.13-1426. Since then, every time I position the mouse cursor over a button (objectO and click the synaptics (real) button, the first button (object) is pressed. When I release the synaptics (real) button, nothing happens until the pointer is moved. Only after that the (object) button is released and whatever function executed.

This does not happen with links or quick launch buttons. Things work ok there.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Place the mouse over a window close button, for example.
2.Click touchpad button (fast).
3.
  

Actual Results:  Nothing. Window close button keeps pressed.

Expected Results:  Window close button should have been released and window closed. This only happens after the pointer is moved.

Additional info:

When clicking the right touchpad button, context menus appear. When pointer is moved to choose an item, menu disappears. Have to try many times until item can be reached and chosen.
Comment 1 Eduardo N. H. 2005-10-24 09:26:22 EDT
Sorry. It was working on kernel 2.6.12-1.1456_FC4, not 1426.
Comment 2 Paul Nasrat 2005-10-24 10:09:21 EDT
Any messages in dmesg about the input layer on the kernels it exhibits this on?
Comment 3 Dave Jones 2005-11-10 14:17:01 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Eduardo N. H. 2005-11-12 11:17:08 EST
Problem persists... :(
I'm still using kernel 2.6.12-1.1456_FC4. All the 2.6.13 ones, even the last
(1.1637) still show the same problem. No messages about that in dmesg. Strange.
Comment 5 Dave Jones 2006-02-03 01:39:32 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 Eduardo N. H. 2006-02-04 06:35:35 EST
Problem persists on kernel 2.6.14-1.1656_FC4. I'll try 2.6.15-1.1830.  Yesterday
this one was not available for downloading yet via up2date.
Comment 7 Eduardo N. H. 2006-02-04 11:02:39 EST
I've just tried 2.6.15-1.1830. The problem persists. Seems to be something with
the treatment of the 'button release' event by the driver. It seems to be
dependent upon a sort of 'pointer move' event. I'll roll back to kernel
kernel-2.6.12-1.1456_FC4 where it works. 
Comment 8 Aron Griffis 2006-08-16 22:29:16 EDT
This bug should be Hardware: x86_64 instead of ia64, would somebody with privs
mind fixing it?
Comment 9 Dave Jones 2006-09-16 21:51:32 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 10 Dave Jones 2006-10-16 16:41:20 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 11 Jon Stanley 2008-01-19 23:38:16 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.